package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWPlayerLaunchBehavior
import org.json.JSONObject

object FWSDKInitOptionsModelDeserializer {

  private const val USER_ID_KEY = "userId"
  private const val SHARE_BASE_URL_KEY = "shareBaseURL"
  private const val VIDEO_LAUNCH_BEHAVIOR_KEY = "videoLaunchBehavior"

  fun deserialize(responseJson: JSONObject?): FWSDKInitOptionsModel? {
    responseJson?: return null

    val userId = if (responseJson.has(USER_ID_KEY)) responseJson.optString(USER_ID_KEY) else null
    val shareBaseURL = if (responseJson.has(SHARE_BASE_URL_KEY)) responseJson.optString(SHARE_BASE_URL_KEY) else null
    val videoLaunchBehavior = if (responseJson.has(VIDEO_LAUNCH_BEHAVIOR_KEY)) responseJson.optString(VIDEO_LAUNCH_BEHAVIOR_KEY) else null

    return FWSDKInitOptionsModel(
      userId = userId,
      shareBaseURL = shareBaseURL,
      videoLaunchBehavior = if (!videoLaunchBehavior.isNullOrBlank()) FWPlayerLaunchBehavior.deserialize(videoLaunchBehavior) else null ,
    )
  }
}
