package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWPlayerLaunchBehavior
import org.json.JSONObject

object FWSDKInitOptionsModelSerializer {

  private const val USER_ID_KEY = "userId"
  private const val SHARE_BASE_URL_KEY = "shareBaseURL"
  private const val VIDEO_LAUNCH_BEHAVIOR_KEY = "videoLaunchBehavior"

  fun serialize(model: FWSDKInitOptionsModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(USER_ID_KEY, model.userId)
    jsonObject.put(SHARE_BASE_URL_KEY, model.shareBaseURL)
    jsonObject.put(VIDEO_LAUNCH_BEHAVIOR_KEY, FWPlayerLaunchBehavior.serialize(model.videoLaunchBehavior))
    return jsonObject
  }
}