package com.fireworksdk.bridge.utils

import com.fireworksdk.bridge.components.storyblock.StoryBlockFragment

object FWStoryBlockUtil {

  private val list = ArrayList<StoryBlockFragment>()

  fun getCurrentFullScreenStoryBlockFragment(): StoryBlockFragment? {
    while (list.size > 0) {
      val fragment = list.last()
      if (!fragment.isFullScreen()) {
        list.removeLast()
      } else {
        return fragment
      }
    }
    return null
  }

  fun addFullScreenStoryBlockFragment(fragment: StoryBlockFragment?) {
    fragment ?: return
    list.add(fragment)
  }

  fun removeFullScreenStoryBlockFragment(fragment: StoryBlockFragment?) {
    fragment ?: return
    list.remove(fragment)
  }
}
