//
//  SDKInitOptions.swift
//
//  Created by linjie jiang on 2023/3/8.
//

import Foundation
import FireworkVideo

struct SDKInitOptions: Codable {
    var userId: String?
    var videoLaunchBehavior: VideoLaunchBehavior?
}

public enum VideoLaunchBehavior: String, Codable {
    case `default`, muteOnFirstLaunch
}

extension VideoLaunchBehavior {
    func behavior() -> VideoPlayerContentConfiguration.VideoLaunchBehavior {
        switch self {
        case .muteOnFirstLaunch:
            return .muteOnFirstLaunch
        default:
            return .`default`
        }
    }
}
