//
//  ProductInfoViewConfiguration.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2021/12/30.
//

import Foundation

struct ProductInfoViewConfiguration: Codable {
    var ctaButton: CTAButtonConfiguration?
    var linkButton: LinkButtonConfiguration?
    var productCard: ProductCardConfiguration?

    struct CTAButtonConfiguration: Codable {
        var text: CTAButtonText?
        var backgroundColor: String?
        var textColor: String?
        var fontSize: Double?
        var iOSFontInfo: FontInfo?
    }

    enum CTAButtonText: String, Codable {
        case addToCart, shopNow
    }

    struct LinkButtonConfiguration: Codable {
        var isHidden: Bool?
    }

    struct ProductCardConfiguration: Codable {
        var theme: ProductCardTheme?
        var ctaButtonText: ProductCardCTAButtonText?
    }

    enum ProductCardTheme: String, Codable {
        case light
        case dark
    }

    enum ProductCardCTAButtonText: String, Codable {
        case shopNow
        case buyNow
    }
}
