class ButtonInfo {
  /// The name of image in the asset catalogs.
  ///  For example, you need to add the image in the Images.xcassets(or Assets.xcassets etc.)
  ///  Only supported on iOS.
  final String? imageName;

  /// The system image name.
  /// Only supported on iOS.
  final String? systemImageName;

  /// This applies only to system image.
  /// Only supported on iOS.
  final String? tintColor;

  ButtonInfo({
    this.imageName,
    this.systemImageName,
    this.tintColor,
  });

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is ButtonInfo) {
      return imageName == other.imageName &&
          systemImageName == other.systemImageName &&
          tintColor == other.tintColor;
    }

    return false;
  }

  @override
  int get hashCode =>
      imageName.hashCode ^ systemImageName.hashCode ^ tintColor.hashCode;

  ButtonInfo deepCopy() => ButtonInfo(
        imageName: imageName,
        systemImageName: systemImageName,
        tintColor: tintColor,
      );
}
