import 'story_block_configuration.dart';

class StoryBlockNativeConfiguration extends StoryBlockConfiguration {
  /// Specifies if Picture in Picture is enabled.
  bool? enablePictureInPicture;

  StoryBlockNativeConfiguration({
    super.videoCompleteAction,
    super.showShareButton,
    super.showPlaybackButton,
    super.showBranding,
    super.ctaDelay,
    super.ctaHighlightDelay,
    super.shareBaseURL,
    super.ctaWidth,
    super.showVideoDetailTitle,
    this.enablePictureInPicture,
  });

  StoryBlockNativeConfiguration.withStoryBlockConfiguration({
    StoryBlockConfiguration? storyBlockConfiguration,
    bool? enablePictureInPicture,
  }) : this(
          videoCompleteAction: storyBlockConfiguration?.videoCompleteAction,
          showShareButton: storyBlockConfiguration?.showShareButton,
          showPlaybackButton: storyBlockConfiguration?.showPlaybackButton,
          showBranding: storyBlockConfiguration?.showBranding,
          ctaDelay: storyBlockConfiguration?.ctaDelay,
          ctaHighlightDelay: storyBlockConfiguration?.ctaHighlightDelay,
          shareBaseURL: storyBlockConfiguration?.shareBaseURL,
          ctaWidth: storyBlockConfiguration?.ctaWidth,
          showVideoDetailTitle: storyBlockConfiguration?.showVideoDetailTitle,
          enablePictureInPicture: enablePictureInPicture,
        );

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is StoryBlockNativeConfiguration) {
      return super == other &&
          enablePictureInPicture == other.enablePictureInPicture;
    }

    return false;
  }

  @override
  int get hashCode => super.hashCode ^ enablePictureInPicture.hashCode;

  @override
  StoryBlockNativeConfiguration deepCopy() =>
      StoryBlockNativeConfiguration.withStoryBlockConfiguration(
        storyBlockConfiguration: super.deepCopy(),
        enablePictureInPicture: enablePictureInPicture,
      );
}
