import '../../models/ad_configuration.dart';

class AdConfigurationUtil {
  static Map<String, dynamic> _convertVastAttributeToJson(
      VastAttribute vastAttribute) {
    Map<String, dynamic> json = {};
    if (vastAttribute.name != null) {
      json["name"] = vastAttribute.name!;
    }

    if (vastAttribute.value != null) {
      json["value"] = vastAttribute.value!;
    }

    return json;
  }

  static Map<String, dynamic> toJson(AdConfiguration? config) {
    Map<String, dynamic> json = {};
    if (config == null) {
      return json;
    }

    if (config.vastAttributes != null) {
      final vastAttributesJsonList = config.vastAttributes!
          .map((e) => _convertVastAttributeToJson(e))
          .toList();
      json["vastAttributes"] = vastAttributesJsonList;
    }

    if (config.requiresAds != null) {
      json["requiresAds"] = config.requiresAds!;
    }

    if (config.adsFetchTimeout != null) {
      json["adsFetchTimeout"] = config.adsFetchTimeout!;
    }

    return json;
  }
}
