import 'ios_font_info_util.dart';
import '../../models/product_info_view_configuration.dart';

class ProductInfoViewConfigurationUtil {
  static Map<String, dynamic> _convertToCTAButtonToJson(
      ShoppingCTAButtonConfiguration config) {
    Map<String, dynamic> json = {};
    if (config.text != null) {
      json["text"] = config.text!.name;
    }

    if (config.backgroundColor != null) {
      json["backgroundColor"] = config.backgroundColor;
    }

    if (config.textColor != null) {
      json["textColor"] = config.textColor;
    }

    if (config.fontSize != null) {
      json["fontSize"] = config.fontSize!.toDouble();
    }

    if (config.iOSFontInfo != null) {
      json["iOSFontInfo"] = IOSFontInfoUtil.toJson(config.iOSFontInfo!);
    }

    return json;
  }

  static Map<String, dynamic> _convertToLinkButtonToJson(
      LinkButtonConfiguration config) {
    Map<String, dynamic> json = {};
    if (config.isHidden != null) {
      json["isHidden"] = config.isHidden!;
    }

    return json;
  }

  static Map<String, dynamic> _convertToProductCardToJson(
      ProductCardConfiguration config) {
    Map<String, dynamic> json = {};
    if (config.ctaButtonText != null) {
      json["ctaButtonText"] = config.ctaButtonText!.name;
    }

    if (config.theme != null) {
      json["theme"] = config.theme!.name;
    }

    return json;
  }

  static Map<String, dynamic> toJson(ProductInfoViewConfiguration config) {
    Map<String, dynamic> json = {};

    if (config.ctaButton != null) {
      json["ctaButton"] = _convertToCTAButtonToJson(config.ctaButton!);
    }

    if (config.linkButton != null) {
      json["linkButton"] = _convertToLinkButtonToJson(config.linkButton!);
    }

    if (config.productCard != null) {
      json["productCard"] = _convertToProductCardToJson(config.productCard!);
    }

    return json;
  }
}
