import '../../models/story_block_configuration.dart';
import '../../models/story_block_native_configuration.dart';
import '../../models/video_player_cta_delay.dart';

class StoryBlockConfigurationUtil {
  static Map<String, dynamic> _convertCTADelayToJson(
      VideoPlayerCTADelay ctaDelay) {
    Map<String, dynamic> json = {};
    json["type"] = ctaDelay.type.name;
    json["value"] = ctaDelay.value;

    return json;
  }

  static Map<String, dynamic> toJson(StoryBlockConfiguration? config) {
    Map<String, dynamic> json = {};

    if (config == null) {
      return json;
    }

    if (config.videoCompleteAction != null) {
      json["videoCompleteAction"] = config.videoCompleteAction!.name;
    }

    if (config.showShareButton != null) {
      json["showShareButton"] = config.showShareButton!;
    }

    if (config.showPlaybackButton != null) {
      json["showPlaybackButton"] = config.showPlaybackButton!;
    }

    if (config.showBranding != null) {
      json["showBranding"] = config.showBranding!;
    }

    if (config.ctaDelay != null) {
      json["ctaDelay"] = _convertCTADelayToJson(config.ctaDelay!);
    }

    if (config.shareBaseURL != null) {
      json["shareBaseURL"] = config.shareBaseURL!;
    }

    if (config.ctaWidth != null) {
      json["ctaWidth"] = config.ctaWidth!.name;
    }

    if (config.showVideoDetailTitle != null) {
      json["showVideoDetailTitle"] = config.showVideoDetailTitle;
    }

    if (config is StoryBlockNativeConfiguration) {
      if (config.enablePictureInPicture != null) {
        json["enablePictureInPicture"] = config.enablePictureInPicture!;
      }
    }

    return json;
  }
}
