import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/ad_configuration.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/ad_configuration_util.dart';

void main() {
  test("AdConfigurationUtil toJson", () {
    final config = AdConfiguration(
      vastAttributes: [
        VastAttribute(
          name: "name1",
          value: "value1",
        ),
        VastAttribute(
          name: "name2",
          value: "value2",
        )
      ],
      requiresAds: true,
      adsFetchTimeout: 20,
    );
    final json = AdConfigurationUtil.toJson(config);
    final expectedJson = <String, dynamic>{
      "vastAttributes": [
        {"name": "name1", "value": "value1"},
        {"name": "name2", "value": "value2"}
      ],
      "requiresAds": true,
      "adsFetchTimeout": 20,
    };

    expect(json, expectedJson);
  });
}
