import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/track_purchase_parameters.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/track_purchase_parameters_util.dart';

void main() {
  test("TrackPurchaseParametersUtil toJson", () {
    final parameters = TrackPurchaseParameters(
      orderId: "test_order_id",
      value: 10,
      currencyCode: "USD",
      countryCode: "US",
      additionalInfo: <String, String>{
        "additionalKey1": "additionalValue1",
        "additionalKey2": "additionalValue2",
        "additionalKey3": "additionalValue3"
      },
    );
    final json = TrackPurchaseParametersUtil.toJson(parameters);
    final expectedJson = <String, dynamic>{
      "orderId": "test_order_id",
      "value": 10,
      "currencyCode": "USD",
      "countryCode": "US",
      "additionalInfo": {
        "additionalKey1": "additionalValue1",
        "additionalKey2": "additionalValue2",
        "additionalKey3": "additionalValue3"
      },
    };

    expect(json, expectedJson);
  });
}
